%global semodule_name bind-dlz-postgres

Name:		%{semodule_name}-selinux
Version:	1.0
Release:	1%{?dist}
Summary:	SELinux policy to allow named to connect to PostgreSQL
Group:		System Environment/Base
License:	GPLv2+

BuildRequires:	checkpolicy
BuildRequires:	hardlink
BuildRequires:	selinux-policy-devel
Requires:	selinux-policy >= %{_selinux_policy_version}

Requires(post):		policycoreutils, selinux-policy-base
Requires(postun):	policycoreutils

%description
This package provides a SELinux policy to allow BIND to connect to a
PostgreSQL server over a UNIX socket, for use with Dynamically Loadable Zones
(DLZ).


%global selinux_variants mls targeted


%prep
cat > %{semodule_name}.te <<EOF
module bind-dlz-postgres 1.0;

require {
	type postgresql_t;
	type postgresql_var_run_t;
	type named_t;
	class sock_file write;
	class dir search;
}

allow named_t postgresql_var_run_t:sock_file write;
allow named_t postgresql_var_run_t:dir search;
EOF


%build
for v in %{selinux_variants}; do
	make NAME=$v -f %{_datarootdir}/selinux/devel/Makefile
	mv %{semodule_name}.pp %{semodule_name}.pp.$v
	make NAME=$v -f %{_datarootdir}/selinux/devel/Makefile clean
done


%install
rm -rf %{buildroot}
for v in %{selinux_variants}; do
	%{__install} -d %{buildroot}%{_datadir}/selinux/$v
	%{__install} -p -m644 %{semodule_name}.pp.$v \
		%{buildroot}%{_datadir}/selinux/$v/%{semodule_name}.pp
done
/usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux


%post
for v in %{selinux_variants}; do
	semodule -s $v \
		-i %{_datadir}/selinux/$v/%{semodule_name}.pp >&- 2>&- || :
done


%files
%{_datadir}/selinux/*/%{semodule_name}.pp


%changelog
* Fri Feb 20 2015 Dustin C. Hatch <dustin@hatch.name> 1.0-1
- New spec for bind-dlz-postgres-selinux
